org.modeshape.sequencer.teiid

## Class VdbManifest

- java.lang.Object
- - org.modeshape.sequencer.teiid.VdbManifest

- All Implemented Interfaces:
    Comparable<VdbManifest>

      public class VdbManifest
      extends Object
      implements Comparable<VdbManifest>

  The POJO for the vdb.xml file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `VdbManifest.Reader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VdbManifest(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(VdbManifest that)`
    `List<VdbDataRole>` | `getDataRoles()`
    `String` | `getDescription()`
    `List<VdbEntry>` | `getEntries()`
    `List<ImportVdb>` | `getImportVdbs()`
    `VdbModel` | `getModel(String path)`
    `List<VdbModel>` | `getModels()`
    `String` | `getName()`
    `Map<String,String>` | `getProperties()`
    `List<VdbTranslator>` | `getTranslators()`
    `int` | `getVersion()`
    `Iterable<VdbModel>` | `modelsInDependencyOrder()`
    `static VdbManifest` | `read(InputStream stream, Sequencer.Context context)`
    `void` | `setDescription(String description)`
    `void` | `setVersion(int version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VdbManifest

          public VdbManifest(String name)

      Parameters:
        `name` - the VDB name (cannot be `null` or empty)

  - ### Method Detail

    - #### read

          public static VdbManifest read(InputStream stream,
                         Sequencer.Context context)
                                  throws Exception

      Throws:
        `Exception`

    - #### compareTo

          public int compareTo(VdbManifest that)

      Specified by:
        `compareTo` in interface `Comparable<VdbManifest>`
      See Also:
        `Comparable.compareTo(java.lang.Object)`

    - #### getDataRoles

          public List<VdbDataRole> getDataRoles()

      Returns:
        the data roles found in the VDB (never `null` but can be empty)

    - #### getDescription

          public String getDescription()

      Returns:
        the description (never `null` but can be empty)

    - #### getEntries

          public List<VdbEntry> getEntries()

      Returns:
        the entries (never `null`)

    - #### getImportVdbs

          public List<ImportVdb> getImportVdbs()

      Returns:
        the import VDBs found in the VDB (never `null` but can be empty)

    - #### getModel

          public VdbModel getModel(String path)

      Parameters:
        `path` - the path of the VDB model being requested (cannot be `null` or empty)
      Returns:
        the VDB model or `null` if not found

    - #### getModels

          public List<VdbModel> getModels()

      Returns:
        the models (never `null`)

    - #### getName

          public String getName()

      Returns:
        the VDB name (never `null` or empty)

    - #### getProperties

          public Map<String,String> getProperties()

      Returns:
        the properties (never `null`)

    - #### getTranslators

          public List<VdbTranslator> getTranslators()

      Returns:
        the translators found in the VDB (never `null` but can be empty)

    - #### getVersion

          public int getVersion()

      Returns:
        version

    - #### modelsInDependencyOrder

          public Iterable<VdbModel> modelsInDependencyOrder()

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - Sets description to the specified value.

    - #### setVersion

          public void setVersion(int version)

      Parameters:
        `version` - Sets version to the specified value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.